{
  "header": "SDL_dialog.h",
  "opaque_types": [],
  "typedefs": [],
  "function_pointers": [],
  "c_type_aliases": [
    {
      "name": "SDL_DialogFileCallback"
    }
  ],
  "enums": [
    {
      "name": "SDL_FileDialogType",
      "values": [
        {
          "name": "SDL_FILEDIALOG_OPENFILE"
        },
        {
          "name": "SDL_FILEDIALOG_SAVEFILE"
        },
        {
          "name": "SDL_FILEDIALOG_OPENFOLDER"
        }
      ]
    }
  ],
  "structs": [
    {
      "name": "SDL_DialogFileFilter",
      "fields": [
        {
          "name": "name",
          "type": "const char *"
        },
        {
          "name": "pattern",
          "type": "const char *"
        }
      ]
    }
  ],
  "unions": [],
  "flags": [],
  "functions": [
    {
      "name": "SDL_ShowOpenFileDialog",
      "return_type": "void",
      "parameters": [
        {
          "name": "callback",
          "type": "SDL_DialogFileCallback"
        },
        {
          "name": "userdata",
          "type": "void *"
        },
        {
          "name": "window",
          "type": "SDL_Window *"
        },
        {
          "name": "filters",
          "type": "const SDL_DialogFileFilter *"
        },
        {
          "name": "nfilters",
          "type": "int"
        },
        {
          "name": "default_location",
          "type": "const char *"
        },
        {
          "name": "allow_many",
          "type": "bool"
        }
      ]
    },
    {
      "name": "SDL_ShowSaveFileDialog",
      "return_type": "void",
      "parameters": [
        {
          "name": "callback",
          "type": "SDL_DialogFileCallback"
        },
        {
          "name": "userdata",
          "type": "void *"
        },
        {
          "name": "window",
          "type": "SDL_Window *"
        },
        {
          "name": "filters",
          "type": "const SDL_DialogFileFilter *"
        },
        {
          "name": "nfilters",
          "type": "int"
        },
        {
          "name": "default_location",
          "type": "const char *"
        }
      ]
    },
    {
      "name": "SDL_ShowOpenFolderDialog",
      "return_type": "void",
      "parameters": [
        {
          "name": "callback",
          "type": "SDL_DialogFileCallback"
        },
        {
          "name": "userdata",
          "type": "void *"
        },
        {
          "name": "window",
          "type": "SDL_Window *"
        },
        {
          "name": "default_location",
          "type": "const char *"
        },
        {
          "name": "allow_many",
          "type": "bool"
        }
      ]
    },
    {
      "name": "SDL_ShowFileDialogWithProperties",
      "return_type": "void",
      "parameters": [
        {
          "name": "_type",
          "type": "SDL_FileDialogType"
        },
        {
          "name": "callback",
          "type": "SDL_DialogFileCallback"
        },
        {
          "name": "userdata",
          "type": "void *"
        },
        {
          "name": "props",
          "type": "SDL_PropertiesID"
        }
      ]
    }
  ]
}